OsmoGSMTester - Bug #2452

osmo-gsm-tester: ESME should send submit_sm as a response to deliver_sm
08/18/2017 07:14 PM - pespin

Status: New Start date: 08/18/2017
Priority: Low Due date:

Assignee: pespin % Done: 0%
Category:

Target version:

Spec Reference:

Description
According to discussion in #2429, the code in esme.py needs to send a submit_sm as a response to the deliver_sm.

See the mentioned task and the code of openbsc smpp_mirror.c for more details/examples.

Related issues:
Related to OsmoNITB - Bug #2429: SMSC: deiverSM message with bad user_message... Closed 08/10/2017

History

#1 - 08/18/2017 07:14 PM - pespin
- Related to Bug #2429: SMSC: deiverSM message with bad user_message_reference added

#2 - 08/18/2017 07:25 PM - pespin

- Subject changed from OsmoGsmTester: ESME should send sbmit_sm as a response to deliver_sm to osmo-gsm-tester: ESME should send
sbmit_sm as a response to deliver_sm

#3 - 08/21/2017 02:13 PM - pespin
- Subject changed from osmo-gsm-tester: ESME should send sbmit_sm as a response to deliver_sm to osmo-gsm-tester: ESME should send

submit_sm as a response to deliver_sm

#4 - 10/29/2017 06:33 PM - laforge

- Priority changed from Normal to Low
